package config

import (
	"path"

	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
)

func SensorConfigContainerDirPath(name string) string {
	return path.Join(SensorConfigDirPath(), name)
}

func SensorConfigFilePath(sensorConfig *sensorConfigM.SensorConfig) string {
	return path.Join(SensorConfigContainerDirPath(sensorConfig.Crawler.Container), sensorConfig.Crawler.Name, sensorConfig.ID.String())
}
